Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-9428

Overview

Vulnerability Score 7.8 7.8
CVE Id CVE-2014-9428
Last Modified 17 Apr 2015 09:59:41
Published 02 Jan 2015 04:59:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2014-9428

Summary

The batadv_frag_merge_packets function in net/batman-adv/fragmentation.c in the B.A.T.M.A.N. implementation in the Linux kernel through 3.18.1 uses an incorrect length field during a calculation of an amount of memory, which allows remote attackers to cause a denial of service (mesh-node system crash) via fragmented packets.

Vulnerable Systems

Operating System

  • Linux Kernel 3.18.1


References

MLIST - [b.a.t.m.a.n] 20141118 kernel BUG at net/core/skbuff.c:100

CONFIRM - https://github.com/torvalds/linux/commit/5b6698b0e4a37053de35cc24ee695b98a7eb712b

MLIST - [netdev] 20141220 Stable fixes for batman-adv

MLIST - [oss-security] 20141231 Re: CVE Request: Linux: Remote crash via batman-adv module - Linux kernel

CONFIRM - http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=5b6698b0e4a37053de35cc24ee695b98a7eb712b

CONFIRM - http://bugs.debian.org/774155

UBUNTU - USN-2518-1

UBUNTU - USN-2517-1

UBUNTU - USN-2516-1

UBUNTU - USN-2515-1

MANDRIVA - MDVSA-2015:058

FEDORA - FEDORA-2015-0515

FEDORA - FEDORA-2015-0517


Last Updated: 27 May 2016 11:08:30